<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<title>jQuery Form Submit</title>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
<script>

function calcolaCF(nome, cognome, comune, data, sesso, targetFieldId) {
    var ret = '';

    $.ajax({
        //url: 'http://webservices.dotnethell.it/codicefiscale.asmx/CalcolaCodiceFiscale',
        url: 'https://wedat.it/myClaimDMS/calcolaCF.php',
        type: "POST",
        data: {
            Nome: nome,
            Cognome: cognome,
            ComuneNascita: comune,
            DataNascita: data,
            Sesso: sesso
        },
        success: function (result) {
            //console.log(result);
            //ret = JSON.parse(JSON.stringify(result.getElementsByTagName('string')[0].innerHTML));
            //$('#'+targetFieldId).val(ret);
            $('#'+targetFieldId).val(result);
        },
        error: function (result) {
            ret = 'Errore di connessione, riprovare';
            $('#'+targetFieldId).val(ret);
        }
    });
}


$(document).ready(function(){
    $('#calcolaCF').on('click', function(){
        calcolaCF($("#cf_nome").val(), $("#cf_cognome").val(), $("#cf_comune").val(), $("#cf_data").val(), $("#cf_sesso").val(), 'cf_cf');
    });
});

</script>
    
    
</head>
<body>
    <div class="container-fluid">
        <h2>CF</h2>
        <div id="readForm">
            <label>Nome:</label>
            <input type="text" id="cf_nome" value="mario">
            <label>Cognome:</label>
            <input type="text" id="cf_cognome" value="rossi">
            <label>Data di nascita:</label>
            <input type="text" id="cf_data" value="23/12/2000">
            <label>Comune di nascita:</label>
            <input type="text" id="cf_comune" value="albano laziale">
            <label>Sesso:</label>
            <input type="text" id="cf_sesso" value="M">

            <button id="calcolaCF" onclick="calcolaCF($('#cf_nome').val(), $('#cf_cognome').val(), $('#cf_comune').val(), $('#cf_data').val(), $('#cf_sesso').val())">CALCOLA CF</button>

            <label>Codice Fiscale</label>
            <input type="text" id="cf_cf" readonly>

        </div>
    </div>
    <div id="result"></div>
</body>
</html>